Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.schema
Class XMLSchemaSerializer

    java.lang.Object
      |
      +--com.solarmetric.rd.meta.XMLMetaDataSerializer
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.schema.XMLSchemaSerializer

All Implemented Interfaces:
  MetaDataSerializer, SchemaSerializer

public class XMLSchemaSerializer
extends XMLMetaDataSerializer
implements SchemaSerializer

Serializes `Schema`s to XML matching the document type definition defined by the `XMLSchemaParser`. The serializer actually works at the fine-grained table level to allow you to split schemas among multiple files.

Serializers are not thread safe.

Constructor Summary
`XMLSchemaSerializer(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf)` Constructor.

Method Summary
`void` | `addTable(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table)` Add the given table to the set of tables that will be serialized.
`void` | `addTables(com.solarmetric.rd.kodo.impl.jdbc.schema.Schema schema)` Add the given schema's tables to the set of tables that will be serialized.
`void` | `addTables(com.solarmetric.rd.kodo.impl.jdbc.schema.SchemaGroup group)` Add all the tables in the given group to the set of tables that will be serialized.
`void` | `clear()` Clear the set of tables to be serialized.
`protected java.util.Collection` | `getObjects()` Return the current set of objects set for serialization.
`com.solarmetric.rd.kodo.impl.jdbc.schema.Table[]` | `getTables()` Return the set of tables that will be serialized.
`boolean` | `removeTable(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table)` Remove the given table from the set to be serialized.
`boolean` | `removeTables(com.solarmetric.rd.kodo.impl.jdbc.schema.Schema schema)` Remove the given schema's tables from the set to be serialized.
`boolean` | `removeTables(com.solarmetric.rd.kodo.impl.jdbc.schema.SchemaGroup group)` Remove all schemas in the given group from the set to be serialized.
`protected void` | `serialize(java.util.Collection tables)` Serialize the given set of objects to the given handler.

Methods inherited from class com.solarmetric.rd.meta.XMLMetaDataSerializer
`addAttribute, endElement, getLog, reset, serialize, serialize, serialize, serialize, serialize, setLog, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.rd.meta.MetaDataSerializer
`getLog, serialize, serialize, serialize, setLog`

Constructor Detail

### XMLSchemaSerializer

    public XMLSchemaSerializer(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf)

  Constructor. Supply configuration.

Method Detail

### getTables

    public com.solarmetric.rd.kodo.impl.jdbc.schema.Table[] getTables()

  Description copied from interface: `SchemaSerializer`
  Return the set of tables that will be serialized.

  Specified by:
    `getTables` in interface `SchemaSerializer`

### addTable

    public void addTable(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table)

  Description copied from interface: `SchemaSerializer`
  Add the given table to the set of tables that will be serialized.

  Specified by:
    `addTable` in interface `SchemaSerializer`

### addTables

    public void addTables(com.solarmetric.rd.kodo.impl.jdbc.schema.Schema schema)

  Description copied from interface: `SchemaSerializer`
  Add the given schema's tables to the set of tables that will be serialized.

  Specified by:
    `addTables` in interface `SchemaSerializer`

### addTables

    public void addTables(com.solarmetric.rd.kodo.impl.jdbc.schema.SchemaGroup group)

  Description copied from interface: `SchemaSerializer`
  Add all the tables in the given group to the set of tables that will be serialized.

  Specified by:
    `addTables` in interface `SchemaSerializer`

### removeTable

    public boolean removeTable(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table)

  Description copied from interface: `SchemaSerializer`
  Remove the given table from the set to be serialized.

  Specified by:
    `removeTable` in interface `SchemaSerializer`
  Returns:
    true if table was removed, false if not in set

### removeTables

    public boolean removeTables(com.solarmetric.rd.kodo.impl.jdbc.schema.Schema schema)

  Description copied from interface: `SchemaSerializer`
  Remove the given schema's tables from the set to be serialized.

  Specified by:
    `removeTables` in interface `SchemaSerializer`
  Returns:
    true if any tables in schema removed, false if none in set

### removeTables

    public boolean removeTables(com.solarmetric.rd.kodo.impl.jdbc.schema.SchemaGroup group)

  Description copied from interface: `SchemaSerializer`
  Remove all schemas in the given group from the set to be serialized.

  Specified by:
    `removeTables` in interface `SchemaSerializer`
  Returns:
    true if any tables in the group were removed, false if none in set

### clear

    public void clear()

  Description copied from interface: `SchemaSerializer`
  Clear the set of tables to be serialized.

  Specified by:
    `clear` in interface `SchemaSerializer`

### getObjects

    protected java.util.Collection getObjects()

  Description copied from class: `XMLMetaDataSerializer`
  Return the current set of objects set for serialization.

  Specified by:
    `getObjects` in class `XMLMetaDataSerializer`

### serialize

    protected void serialize(java.util.Collection tables)
                      throws org.xml.sax.SAXException

  Description copied from class: `XMLMetaDataSerializer`
  Serialize the given set of objects to the given handler.

  Specified by:
    `serialize` in class `XMLMetaDataSerializer`
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.